Routes

Initiate collection

POSThttps://api.insurely.com/pension-collection/collect-info

Initiate an pension data collection for a specific individual. Calling this will trigger the selected login method.

Request

Header Parameters

insurely-session-idstring
Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2022-09-26.

Request Body

A set of consents provided by the end user.

inputobject

Key-value object specifying additional input required for the insurance collection. What values should be included depends on context.Possible keys are SWEDISH_PERSONAL_NUMBER, NORWEGIAN_PERSONAL_NUMBER, NORWEGIAN_PHONE_NUMBER,USERNAME, PASSWORD, LASTNAME, ACCOUNT_OWNER_NAME.

insuranceCompanystring

The name of the insurance company to trigger the insurance collection from

loginMethodstring

Login method that will be used to authenticate the user. Available login methods for a company is specified in the /insurance-company/status response.

Possible Enum values are DANISH_NEMID, DANISH_MITID, DANISH_MITID_SAME_DEVICE, ESTONIAN_MOBILE_ID, ESTONIAN_SMART_ID, ESTONIAN_MOBILE_ID_USERNAME, ESTONIAN_SMART_ID_USERNAME, LATVIAN_MOBILE_EPARAKSTS, LATVIAN_SMART_ID, LATVIAN_MOBILE_EPARAKSTS_USERNAME, LATVIAN_SMART_ID_USERNAME, LITHUANIAN_SMART_ID, LITHUANIAN_MOBILE_ID, LITHUANIAN_SMART_ID_USERNAME, LITHUANIAN_MOBILE_ID_USERNAME, NORWEGIAN_BANKID_ON_MOBILE, NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER, SWEDISH_MOBILE_BANKID_OTHER_DEVICE, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK, SWEDISH_MOBILE_BANKID_SAME_DEVICE, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION, SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK, SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST, SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST, SWEDISH_SECURITY_TOKEN, UK_DOB_USERNAME_PASSWORD, UK_LASTNAME_MEMBERSHIP_NUMBER, UK_USERNAME_POSTCODE, USERNAME_AND_PASSWORD, EMAIL, PDF_UPLOAD, AUTHENTICATION_APP_URL or MANUAL_SELECT.

Responses

Data collection successfully initiated.

Body

collectionIdstring

The ID of the collection request, used for fetching the status of the request and the data from the request

cURL
curl https://api.insurely.com/pension-collection/collect-info \
  -H "authorization-token: <authorization-token>" \
  -H "Content-Type: application/json" \
  -d '{
  "consents": [
    {
      "type": "TRADE_UNION_MEMBERSHIP"
    }
  ],
  "filter": {
    "rules": []
  },
  "input": {
    "SWEDISH_PERSONAL_NUMBER": "192101010101"
  },
  "insuranceCompany": "se-lansforsakringar",
  "loginMethod": "SWEDISH_MOBILE_BANKID_OTHER_DEVICE"
}' \
  -X POST